## asterisk-opus 13.7+20171009

=== Makefile ===
prefix=/usr/local
exec_prefix=$(prefix)
libdir=$(exec_prefix)/lib

CC=gcc
CFLAGS=-pthread -g3 -O3 -D_FORTIFY_SOURCE=2 -fPIC
CPPFLAGS=
DEFS=
INSTALL=/usr/bin/install -c
LDFLAGS=-shared -pthread -Wl,--warn-common
LIBS=
MKDIR_P=/bin/mkdir -p
SHELL=/bin/sh

ASTMODDIR=$(libdir)/asterisk/modules
MODULES=codec_opus_open_source format_ogg_opus_open_source format_vp8 res_format_attr_opus

.SUFFIXES: .c .so

.PHONY: all clean install uninstall $(MODULES)

all: $(MODULES)

clean:
	rm */*.so

install: $(MODULES)
	$(MKDIR_P) $(ASTMODDIR)
	$(INSTALL) */*.so $(ASTMODDIR)

uninstall:
	cd $(ASTMODDIR) && rm $(addsuffix .so,$(MODULES))

codec_opus_open_source: LIBS+=-lopus
codec_opus_open_source: DEFS+=-DAST_MODULE=\"codec_opus_open_source\"
codec_opus_open_source: codecs/codec_opus_open_source.so

format_ogg_opus_open_source: CPATH+=-I/usr/include/opus
format_ogg_opus_open_source: LIBS+=-lopus -lopusfile
format_ogg_opus_open_source: DEFS+=-DAST_MODULE=\"format_ogg_opus_open_source\"
format_ogg_opus_open_source: formats/format_ogg_opus_open_source.so

format_vp8: DEFS+=-DAST_MODULE=\"format_vp8\"
format_vp8: formats/format_vp8.so

res_format_attr_opus: DEFS+=-DAST_MODULE=\"res_format_attr_opus\"
res_format_attr_opus: res/res_format_attr_opus.so

.c.so:
	$(CC) -o $@ $(CPATH) $(DEFS) $(CPPFLAGS) $(CFLAGS) $(LIBS) $(LDFLAGS) $<

## asterisk-opus 13.7+20161113

=== debian/changelog ===
asterisk-opus (13.7+20161113-4) unstable; urgency=medium

  * Modernize cdbs:
    + Do copyright-check in maintainer script (not during build).
      Stop build-depend on licensecheck.
  * Modernize Vcs-* fields: Use git (not cgit) in path.
  * Declare compliance with Debian Policy 4.1.0.
  * Update copyright info:
    + Use https protocol in file format URL.
    + Extend coverage for myself.
  * Advertise DEP-3 format in patch headers.
  * This (simply rebuilding) fixes linking with current Asterisk.
    Closes: Bug#872760. Thanks to Sam Hartman.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 28 Aug 2017 10:32:42 +0200

asterisk-opus (13.7+20161113-3) unstable; urgency=medium

  * Really avoid res_format module when Asterisk links against Opus.
  * Add git-buildpackage config:
    + Use pristine-tar.
    + Sign tags.
    + Filter any .git* file.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 22 Dec 2016 01:20:17 +0100

asterisk-opus (13.7+20161113-2) unstable; urgency=medium

  * Update copyright info: Drop bogus entry.
    Thanks to Thorsten Alteholz.
  * Avoid res_format module when Asterisk links against Opus.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 21 Dec 2016 15:07:27 +0100

asterisk-opus (13.7+20161113-1) unstable; urgency=low

  * Initial release.
    Closes: bug#848560.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 18 Dec 2016 13:03:07 +0100

=== debian/control ===
Source: asterisk-opus
Section: comm
Priority: extra
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs,
 debhelper,
 dh-buildinfo,
 asterisk-dev,
 libopus-dev,
 libopusfile-dev
Standards-Version: 4.1.0
Vcs-Git: https://anonscm.debian.org/git/pkg-voip/asterisk-opus.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-voip/asterisk-opus.git
Homepage: http://github.com/traud/asterisk-opus/

Package: asterisk-opus
Architecture: any
Depends: ${cdbs:Depends},
 ${misc:Depends},
 ${shlibs:Depends}
Description: opus module for Asterisk
 Module for the Asterisk open source PBX which allows you to use the
 Opus audio codec.
 .
 Opus is the default audio codec in WebRTC. WebRTC is available in
 Asterisk via SIP over WebSockets (WSS). Nevertheless, Opus can be used
 for other transports (UDP, TCP, TLS) as well. Opus supersedes previous
 codecs like CELT and SiLK. Furthermore in favor of Opus, other
 open-source audio codecs are no longer developed, like Speex, iSAC,
 iLBC, and Siren. If you use your Asterisk as a back-to-back user agent
 (B2BUA) and you transcode between various audio codecs, one should
 enable Opus for future compatibility.
 .
 Opus is not only supported for pass-through but can be transcoded as
 well. This allows you to translate to/from other audio codecs like
 those for landline telephones (ISDN: G.711; DECT: G.726-32; and HD:
 G.722) or mobile phones (GSM, AMR, AMR-WB, 3GPP EVS).

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2016-2017 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for asterisk-opus
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/debhelper.mk

pkg = $(DEB_SOURCE_PACKAGE)

DEB_UPSTREAM_URL = https://github.com/traud/asterisk-opus/archive

# needed during build
bdeps = asterisk-dev, libopus-dev, libopusfile-dev

# needed (always) at runtime
deps = asterisk

# Depend on virtual asterisk API package (if resolved)
ASTERISK_ABI := $(shell grep -Po 'AST_BUILDOPT_SUM "\K[^"]+' /usr/include/asterisk/buildopts.h)
$(if $(ASTERISK_ABI),,$(call cdbs_warn,failed to resolve AST_BUILDOPT_SUM))
deps += $(ASTERISK_ABI:%=$(comma) asterisk-%)

CDBS_BUILD_DEPENDS +=, $(bdeps)
CDBS_DEPENDS_$(pkg) = $(deps)

DEB_MAKE_INSTALL_TARGET = install DESTDIR=$(DEB_DESTDIR) ASTMODDIR=/usr/lib/asterisk/modules

CFLAGS += -fPIC

# avoid res_format module when shipped with Asterisk
binary-post-install/$(pkg)::
	$(if $(wildcard /usr/include/asterisk/opus.h),rm -f $(cdbs_curdestdir)/usr/lib/asterisk/modules/res_format_attr_opus.so)

=== debian/watch ===
# run "uscan --report" to check or "gpb import-orig --uscan" to update
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
 https://github.com/traud/asterisk-opus/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian

## asterisk-opus 13.7+20171009

=== debian/changelog ===
asterisk-opus (13.7+20171009-2) unstable; urgency=medium

  * Team upload

  [ Jonas Smedegaard ]
  * Update copyright info: Fix source URLs.

  [ Bernhard Schmidt ]
  * Fix FTBFS against Asterisk 14+ (Closes: #919828)
  * Add simple autopkgtest

 -- Bernhard Schmidt <berni@debian.org>  Thu, 24 Jan 2019 17:26:11 +0100

asterisk-opus (13.7+20171009-1) unstable; urgency=medium

  [ upstream ]
  * New git snapshot.
    + Be compatible with Asterisk 15.0.

  [ Jonas Smedegaard ]
  * Refactor to limit use of CDBS:
    + Stop auto-resolve build-dependencies when in CDBS maintainer mode.
  * Tighten lintian overrides regarding License-Reference.
  * Declare compliance with Debian Policy 4.2.1.
  * Set Rules-Requires-Root: no.
  * Use https protocol for Homepage and Upstream-Contract URLs.
  * Update watch file:
    + Fix gpb/gbp typo in usage comment.
      Thanks to Cyril Brulebois.
  * Update Vcs-* fields: Source hosted at Salsa.debian.org now.
  * Use package section optional (not obsolete extra).

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 17 Oct 2018 17:08:01 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: asterisk-opus
 Section: comm
-Priority: extra
+Priority: optional
 Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
 Build-Depends: cdbs,
@@ -9,10 +9,11 @@
  asterisk-dev,
  libopus-dev,
  libopusfile-dev
-Standards-Version: 4.1.0
-Vcs-Git: https://anonscm.debian.org/git/pkg-voip/asterisk-opus.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-voip/asterisk-opus.git
-Homepage: http://github.com/traud/asterisk-opus/
+Standards-Version: 4.2.1
+Vcs-Git: https://salsa.debian.org/pkg-voip-team/asterisk-opus.git
+Vcs-Browser: https://salsa.debian.org/pkg-voip-team/asterisk-opus
+Homepage: https://github.com/traud/asterisk-opus/
+Rules-Requires-Root: no
 
 Package: asterisk-opus
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -24,9 +24,6 @@
 
 DEB_UPSTREAM_URL = https://github.com/traud/asterisk-opus/archive
 
-# needed during build
-bdeps = asterisk-dev, libopus-dev, libopusfile-dev
-
 # needed (always) at runtime
 deps = asterisk
 
@@ -35,7 +32,6 @@
 $(if $(ASTERISK_ABI),,$(call cdbs_warn,failed to resolve AST_BUILDOPT_SUM))
 deps += $(ASTERISK_ABI:%=$(comma) asterisk-%)
 
-CDBS_BUILD_DEPENDS +=, $(bdeps)
 CDBS_DEPENDS_$(pkg) = $(deps)
 
 DEB_MAKE_INSTALL_TARGET = install DESTDIR=$(DEB_DESTDIR) ASTMODDIR=/usr/lib/asterisk/modules

=== debian/tests/control ===
Tests: module-loadable
Restrictions: needs-root, isolation-container
Depends: asterisk, asterisk-config, asterisk-opus

=== debian/watch ===
# run "uscan --report" to check or "gbp import-orig --uscan" to update
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
 https://github.com/traud/asterisk-opus/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian
